> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/table-tennis/table-tennis-multisport/rest-api/squads.md).

# Squads

Per each competition, this endpoint will return the following information:

* Name of the competition
* Team name & Id
* Player forename, lastname and Id
* Shirt Number
* Nationality

## List season squads

<mark style="color:$primary;">Legacy -</mark> <mark style="color:blue;">`GET`</mark> `https://dde-api.data.imgarena.com/v2/tabletennis/seasons/{seasonId}/squads` (Decommissioning on 30th Sept 2026)

**NEW** - <mark style="color:blue;">`GET`</mark> `https://dde-api.data.srarena.io/v2/tabletennis/seasons/{seasonId}/squads`

Retrieves a list of players associated to certain teams.

#### Path Parameters

| Name                                    | Type   | Description                     |
| --------------------------------------- | ------ | ------------------------------- |
| sport<mark style="color:red;">\*</mark> | String | tabletennis                     |
| seasonId                                | String | unique id of a requested season |

#### Headers

| Name                                            | Type   | Description                                      |
| ----------------------------------------------- | ------ | ------------------------------------------------ |
| Accept<mark style="color:red;">\*</mark>        | String | application/vnd.imggaming.dde.api+json;version=1 |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer ACCESS\_TOKEN                             |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json                                 |

{% tabs %}
{% tab title="400: Bad Request " %}

```json
{
    Request is missing required HTTP header 'Accept'
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```json
{
    The supplied authentication is invalid
}
```

{% endtab %}

{% tab title="200: OK " %}

```json
{
            "id": "a2f9bdc6-e9f7-4de9-a0bd-fb2ff5213c16",
            "season": {
                "id": "ff88b9c6-6598-4d05-88c5-c87751e64380",
                "name": "reg"
            },
            "team": {
                "id": "5953f4d5-cc6d-44e4-bcb9-333c2119e16e",
                "name": "ABDELAZIZ Youssef"
            },
            "players": [
                {
                    "id": "56014f92-8195-4603-a6ad-4d268385a9c5",
                    "fullName": "Youssef ABDELAZIZ",
                    "firstName": "Youssef",
                    "lastName": "ABDELAZIZ",
                    "location": {
                        "name": "Egypt",
                        "country": {},
                        "continent": {
                            "name": "Africa"
                        }
                    },
                    "verified": true
                }
            ]
        },
        {
            "id": "abe47cd4-134a-4f92-bdab-371b5af512b3",
            "season": {
                "id": "ff88b9c6-6598-4d05-88c5-c87751e64380",
                "name": "reg"
            },
            "team": {
                "id": "66e40cb0-56ae-4c33-9bae-5977a6d62fa9",
                "name": "ABDULWAHHAB Mohammed"
            },
            "players": [
                {
                    "id": "b2f8b112-d392-4574-b987-890fe2428d44",
                    "fullName": "Mohammed ABDULWAHHAB",
                    "firstName": "Mohammed",
                    "lastName": "ABDULWAHHAB",
                    "location": {
                        "name": "Qatar",
                        "country": {},
                        "continent": {
                            "name": "Asia"
                        }
                    },
                    "verified": true
                }
            ]
        },
        {
            "id": "9ced0369-7352-4f1d-9724-1bd135eb90ad",
            "season": {
                "id": "ff88b9c6-6598-4d05-88c5-c87751e64380",
                "name": "reg"
            },
            "team": {
                "id": "6dfa76a8-6e9e-421a-bbd2-2642c1c97e07",
                "name": "ADEGOKE Muizz"
            },
            "players": [
                {
                    "id": "940778aa-dba5-4a35-b0e4-2fd63ec952b6",
                    "fullName": "Muizz ADEGOKE",
                    "firstName": "Muizz",
                    "lastName": "ADEGOKE",
                    "location": {
                        "name": "Niger",
                        "country": {},
                        "continent": {
                            "name": "Africa"
                        }
                    },
                    "verified": true
                }
            ]
        },
        {
            "id": "e8ec548d-c80e-4382-be50-3b23f889caaa",
            "season": {
                "id": "ff88b9c6-6598-4d05-88c5-c87751e64380",
                "name": "reg"
            },
            "team": {
                "id": "26fbde9e-18aa-440d-847c-81ef2a27abf7",
                "name": "AFANADOR Brian"
            },
            "players": [
                {
                    "id": "2c405f15-77f1-4fc9-acc1-c1aeeeb90394",
                    "fullName": "Brian AFANADOR",
                    "firstName": "Brian",
                    "lastName": "AFANADOR",
                    "location": {
                        "name": "Puerto Rico",
                        "country": {},
                        "continent": {
                            "name": "North America"
                        }
                    },
                    "verified": true
                }
            ]
        },
        {
            "id": "63232391-1cae-4a68-bcdf-1ab83d92526b",
            "season": {
                "id": "ff88b9c6-6598-4d05-88c5-c87751e64380",
                "name": "reg"
            },
            "team": {
                "id": "606c54e9-5c97-4142-86c5-e6202158391a",
                "name": "AGUIRRE Marcelo"
            },
            "players": [
                {
                    "id": "50ee4700-678c-4923-9c8a-364cb6f2d2cd",
                    "fullName": "Marcelo AGUIRRE",
                    "firstName": "Marcelo",
                    "lastName": "AGUIRRE",
                    "location": {
                        "name": "Paraguay",
                        "country": {},
                        "continent": {
                            "name": "South America"
                        }
                    },
                    "verified": true
                }
            ]
        }
```

{% endtab %}
{% endtabs %}

## List team squads

<mark style="color:blue;">`GET`</mark> `https://dde-api.data.srarena.io/tabletennis/squads/{teamId}`

#### Path Parameters

| Name                                     | Type   | Description                   |
| ---------------------------------------- | ------ | ----------------------------- |
| sport<mark style="color:red;">\*</mark>  | String | tabletennis                   |
| teamId<mark style="color:red;">\*</mark> | UUID   | unique id of a requested team |

{% tabs %}
{% tab title="200: OK " %}

```json
     {
            "id": "5c654ea3-9aee-4043-9ea5-565ac70748d0",
            "season": {
                "id": "ff88b9c6-6598-4d05-88c5-c87751e64380",
                "name": "reg"
            },
            "team": {
                "id": "e0f1602c-07f7-41bd-a635-fa8700c58c51",
                "name": "ALAMIYAN Noshad"
            },
            "players": [
                {
                    "id": "a0d59351-c3a9-485a-bd9a-2415efa9d3b2",
                    "fullName": "Noshad ALAMIYAN",
                    "firstName": "Noshad",
                    "lastName": "ALAMIYAN",
                    "location": {
                        "name": "Iran",
                        "country": {},
                        "continent": {
                            "name": "Asia"
                        }
                    },
                    "verified": true
                }
            ]
        }
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
    Request is missing required HTTP header 'Accept'
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```json
{
    The supplied authentication is invalid
}
```

{% endtab %}
{% endtabs %}

### Response fields

<table data-header-hidden><thead><tr><th width="178">Property</th><th>Description</th></tr></thead><tbody><tr><td>squad<br></td><td>The requested list of players within a squad</td></tr></tbody></table>

## Polling frequency

We recommend the following frequency for your REST requests to ensure that you have the most up-to-date information at all times - `once per 24 hours`

## Pagination

Please find the following link to the [pagination](/table-tennis/table-tennis-multisport/overview/pagination.md) page.

These modifications, primarily encompassing the introduction of supplementary parameters, are anticipated to be of a straightforward nature and aim to enhance the query efficiency of our Squads API, thereby affording you considerable advantages.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/table-tennis/table-tennis-multisport/rest-api/squads.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
